Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time
Class Partial.Property

    java.lang.Object
      org.joda.time.field.AbstractPartialFieldProperty
          org.joda.time.Partial.Property

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Partial

    public static class Partial.Property

extends AbstractPartialFieldProperty
implements java.io.Serializable

The property class for `Partial`.

This class binds a `Partial` to a `DateTimeField`.

Since:
  1.1
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Method Summary
`Partial` | `addToCopy(int valueToAdd)` Adds to the value of this field in a copy of this Partial.
`Partial` | `addWrapFieldToCopy(int valueToAdd)` Adds to the value of this field in a copy of this Partial wrapping within this field if the maximum value is reached.
`int` | `get()` Gets the value of this field.
`DateTimeField` | `getField()` Gets the field that this property uses.
`Partial` | `getPartial()` Gets the partial that this property belongs to.
`protected ReadablePartial` | `getReadablePartial()` Gets the partial that this property belongs to.
`Partial` | `setCopy(int value)` Sets this field in a copy of the Partial.
`Partial` | `setCopy(java.lang.String text)` Sets this field in a copy of the Partial to a parsed text value.
`Partial` | `setCopy(java.lang.String text, java.util.Locale locale)` Sets this field in a copy of the Partial to a parsed text value.
`Partial` | `withMaximumValue()` Returns a new Partial with this field set to the maximum value for this field.
`Partial` | `withMinimumValue()` Returns a new Partial with this field set to the minimum value for this field.

Methods inherited from class org.joda.time.field.AbstractPartialFieldProperty
`compareTo, compareTo, equals, getAsShortText, getAsShortText, getAsString, getAsText, getAsText, getDurationField, getFieldType, getMaximumShortTextLength, getMaximumTextLength, getMaximumValue, getMaximumValueOverall, getMinimumValue, getMinimumValueOverall, getName, getRangeDurationField, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getField

    public DateTimeField getField()

  Gets the field that this property uses.

  Specified by:
    `getField` in class `AbstractPartialFieldProperty`
  Returns:
    the field

### getReadablePartial

    protected ReadablePartial getReadablePartial()

  Gets the partial that this property belongs to.

  Specified by:
    `getReadablePartial` in class `AbstractPartialFieldProperty`
  Returns:
    the partial

### getPartial

    public Partial getPartial()

  Gets the partial that this property belongs to.

  Returns:
    the partial

### get

    public int get()

  Gets the value of this field.

  Specified by:
    `get` in class `AbstractPartialFieldProperty`
  Returns:
    the field value

### addToCopy

    public Partial addToCopy(int valueToAdd)

  Adds to the value of this field in a copy of this Partial.

  The value will be added to this field. If the value is too large to be added solely to this field then it will affect larger fields. Smaller fields are unaffected.

  If the result would be too large, beyond the maximum year, then an IllegalArgumentException is thrown.

  The Partial attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `valueToAdd` - the value to add to the field in the copy
  Returns:
    a copy of the Partial with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the value isn't valid

### addWrapFieldToCopy

    public Partial addWrapFieldToCopy(int valueToAdd)

  Adds to the value of this field in a copy of this Partial wrapping within this field if the maximum value is reached.

  The value will be added to this field. If the value is too large to be added solely to this field then it wraps within this field. Other fields are unaffected.

  For example, `2004-12-20` addWrapField one month returns `2004-01-20`.

  The Partial attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `valueToAdd` - the value to add to the field in the copy
  Returns:
    a copy of the Partial with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the value isn't valid

### setCopy

    public Partial setCopy(int value)

  Sets this field in a copy of the Partial.

  The Partial attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `value` - the value to set the field in the copy to
  Returns:
    a copy of the Partial with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the value isn't valid

### setCopy

    public Partial setCopy(java.lang.String text,
                           java.util.Locale locale)

  Sets this field in a copy of the Partial to a parsed text value.

  The Partial attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `text` - the text value to set
    `locale` - optional locale to use for selecting a text symbol
  Returns:
    a copy of the Partial with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the text value isn't valid

### setCopy

    public Partial setCopy(java.lang.String text)

  Sets this field in a copy of the Partial to a parsed text value.

  The Partial attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `text` - the text value to set
  Returns:
    a copy of the Partial with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the text value isn't valid

### withMaximumValue

    public Partial withMaximumValue()

  Returns a new Partial with this field set to the maximum value for this field.

  The Partial attached to this property is unchanged by this call.

  Returns:
    a copy of the Partial with this field set to its maximum
  Since:
    1.2

### withMinimumValue

    public Partial withMinimumValue()

  Returns a new Partial with this field set to the minimum value for this field.

  The Partial attached to this property is unchanged by this call.

  Returns:
    a copy of the Partial with this field set to its minimum
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD